
Foreman - Refactor #29288

Reorder settings

03/08/2020 02:57 PM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Settings   

Target version:    

Difficulty:  Fixed in Releases: 3.1.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8383,

https://github.com/theforeman/foreman/p

ull/8874

  

Description

Some settings are assigned to the wrong category - e.g. generic fact settings under puppet, general settings under provisioning etc.

We should reorganize them into meaningful categories.

Related issues:

Related to Foreman - Tracker #29431: Making puppet optional New

Related to Foreman - Refactor #32064: Extract Puppet setting Closed

Associated revisions

Revision dc2e8ae8 - 10/27/2021 05:57 AM - Ondřej Ezr

Fixes #29288 - reorder Config management settings

Adds a new setting categories Facts and Config management.

These should also home the settings from various providers.

For now we are moving Puppet settings into those and thus

Puppet category has been removed.

History

#1 - 03/29/2020 06:29 PM - Tomer Brisker

- Related to Tracker #29431: Making puppet optional added

#2 - 03/10/2021 01:58 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/8383 added

#3 - 03/10/2021 06:11 PM - Ondřej Ezr

- Related to Refactor #32064: Extract Puppet setting added

#4 - 08/05/2021 09:21 AM - Amir Fefer

- Tracker changed from Bug to Refactor

- Triaged changed from No to Yes

#5 - 10/26/2021 10:41 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8874 added

#6 - 10/27/2021 05:57 AM - The Foreman Bot

- Fixed in Releases 3.1.0 added
#7 - 10/27/2021 06:00 AM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|dc2e8ae8733110c73549a9a6f6f7d45dac41bbbe.
